﻿using System;
using Syncfusion.SfCalendar.XForms;
using Xamarin.Forms;

namespace Customization
{
	public partial class CustomizationPage : ContentPage
	{
		public CustomizationPage()
		{
			InitializeComponent();
			SfCalendar calendar = new SfCalendar();
			calendar.ShowInlineEvents = true;
			//calendar.ShowNavigationButtons = true;
			calendar.OnMonthCellLoaded += Calendar_OnMonthCellLoaded;
			MonthViewSettings settings = new MonthViewSettings();
			settings.DayHeaderBackgroundColor = Color.Lime;
			settings.DayCellFontFamily = "AmericanTypewriter-CondensedBold";
			calendar.MonthViewSettings = settings;
			CalendarInlineEvent events = new CalendarInlineEvent();
			events.StartTime = new DateTime(2016, 10, 1);
			events.EndTime = new DateTime(2016, 10, 8);
			events.Subject = "Go to Meeting";

			CalendarEventCollection collection = new CalendarEventCollection();
			collection.Add(events);
			calendar.DataSource = collection;
			this.Content = calendar;
		}


		void Calendar_OnMonthCellLoaded(object sender, MonthCell args)
		{
			Label lbl = new Label();
			lbl.VerticalOptions = LayoutOptions.FillAndExpand;
			lbl.HorizontalOptions = LayoutOptions.FillAndExpand;
			lbl.Text = args.Date.ToString("dd");
			if (Device.OS == TargetPlatform.iOS)
				lbl.FontFamily = "AmericanTypewriter-CondensedBold";
			else
				lbl.FontFamily="Droid Sans Mono";
			lbl.FontSize = Device.OnPlatform(24,Device.GetNamedSize(NamedSize.Medium, lbl),Device.GetNamedSize(NamedSize.Large, lbl));			
			args.BackgroundColor = Color.Lime;
			args.View.BackgroundColor = Color.Lime;
			args.View = lbl;
		}
	}
}

